3

I'm using the old eclipse-based Force IDE for some of my task, mostly deployments. I've seen that there is a new BETA Version of Force IDE 2 based on Salesforce DX here: https://developer.salesforce.com/de/tools/forceide2

Today I've downloaded it (for 64-bit Windows). It comes as one ZIP. Pretty straight forward I've unpacked it and run forceide.exe. I'm on a Windows 7 64bit machine.

I think there is not much room for doing this wrong.

Then it's raining errors

On Startup

enter image description here

On SFDX Project

enter image description here

My Java JRE is

Java(TM) SE Runtime Environment (build 1.8.0_91-b14)

Question

Any idea on what I can try to overcome this issues?

4

This happens if you (like me) are not reading the instructions carefully ;-)

As a prerequisite you need to download and install Salesforce CLI like stated here

Salesforce CLI

Each Force.com IDE 2 version depends on a matched version of the Salesforce CLI. Install the Salesforce CLI and its prerequisites before installing Force.com IDE

For Salesforce CLI installation instructions, see “System Requirements” and “Install the Salesforce Command Line Interface (CLI)” in the Salesforce DX Setup Guide (Beta).

https://developer.salesforce.com/docs/atlas.en-us.sfdx_ide2.meta/sfdx_ide2/sfdx_ide2_get_started_prerequisites.htm

After that all errors disappeared.

| improve this answer | |
  • Maybe to put on the "wishlist": IDE 2 should get an installer and it should check for the prerequisites and install them in case they are missing. Will save us from this mistakes. Usually we devs don't read much in advance... – Uwe Heim Aug 22 '17 at 14:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.